Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions.ConfigureAction

    java.lang.Object
      org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
          org.jboss.kernel.plugins.dependency.KernelControllerContextActions.ConfigureAction

All Implemented Interfaces:
  org.jboss.dependency.plugins.spi.action.ControllerContextAction

Enclosing class:
  KernelControllerContextActions

public static class KernelControllerContextActions.ConfigureAction
extends KernelControllerContextActions.KernelControllerContextAction

The configure action

Field Summary

Fields inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`log`

Constructor Summary
`KernelControllerContextActions.ConfigureAction()`

Method Summary
`void` | `installAction(KernelControllerContext context)`
`protected void` | `setAttributes(KernelControllerContext context, Object target, Set joinPoints, boolean ignoreErrors)` Set the attributes
`void` | `uninstallAction(KernelControllerContext context)`

Methods inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelControllerContextActions.ConfigureAction

    public KernelControllerContextActions.ConfigureAction()

Method Detail

### installAction

    public void installAction(KernelControllerContext context)
                       throws Throwable

  Overrides:
    `installAction` in class `KernelControllerContextActions.KernelControllerContextAction`
  Throws:
    `Throwable`

### uninstallAction

    public void uninstallAction(KernelControllerContext context)

  Overrides:
    `uninstallAction` in class `KernelControllerContextActions.KernelControllerContextAction`

### setAttributes

    protected void setAttributes(KernelControllerContext context,
                                 Object target,
                                 Set joinPoints,
                                 boolean ignoreErrors)
                          throws Throwable

  Set the attributes

  Parameters:
    `context` - the context
    `target` - the target
    `joinPoints` - the attribute setter joinpoints
    `ignoreErrors` - whether to ignore errors
  Throws:
    `Throwable` - for any unignored error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.